COOKBOOKS = FileList[File.join("site-cookbooks", "*")]

task :test do
  COOKBOOKS.each do |cookbook|
    sh "knife cookbook test '#{File.basename(cookbook)}' -o site-cookbooks"
    sh "foodcritic '#{cookbook}'"
  end
  sh "rspec spec"
end


task :report do
  Dir.chdir("report") do
    sh "latexmk -pdf -pvc report.tex"
  end
end
